﻿import { Component } from '@angular/core';

@Component({
    selector: 'my-app',
    templateUrl: 'app.component.html'
})

export class AppComponent {
    public gridData1 = [{
        OrderID: 10280,
        CustomerID: "BERGS",
        EmployeeID: 2,
        OrderDate: new Date(840006e6),
        RequiredDate: new Date(8424252e5),
        ShippedDate: new Date(8425116e5),
        ShipVia: 1,
        Freight: 8.98,
        ShipName: "Berglunds snabbköp",
        ShipAddress: "Berguvsvägen  8",
        ShipCity: "Luleå",
        ShipRegion: null,
        ShipPostalCode: "S-958 22",
        ShipCountry: "Sweden",
        CompanyName: "Berglunds snabbköp",
        Address: "Berguvsvägen  8",
        City: "Luleå",
        Region: null,
        PostalCode: "S-958 22",
        Country: "Sweden"
    }, {
            OrderID: 10265,
            CustomerID: "BLONP",
            EmployeeID: 2,
            OrderDate: new Date(838278e6),
            RequiredDate: new Date(8406972e5),
            ShippedDate: new Date(8398332e5),
            ShipVia: 1,
            Freight: 55.28,
            ShipName: "Blondel père et fils",
            ShipAddress: "24, place Kléber",
            ShipCity: "Strasbourg",
            ShipRegion: null,
            ShipPostalCode: "67000",
            ShipCountry: "France",
            CompanyName: "Blondesddsl père et fils",
            Address: "24, place Kléber",
            City: "Strasbourg",
            Region: null,
            PostalCode: "67000",
            Country: "France"
        }, {
            OrderID: 10663,
            CustomerID: "BONAP",
            EmployeeID: 2,
            OrderDate: new Date(8738748e5),
            RequiredDate: new Date(8750844e5),
            ShippedDate: new Date(875862e6),
            ShipVia: 2,
            Freight: 113.15,
            ShipName: "Bon app'",
            ShipAddress: "12, rue des Bouchers",
            ShipCity: "Marseille",
            ShipRegion: null,
            ShipPostalCode: "13008",
            ShipCountry: "France",
            CompanyName: "Bon app'",
            Address: "12, rue des Bouchers",
            City: "Marseille",
            Region: null,
            PostalCode: "13008",
            Country: "France"
        }, {
            OrderID: 10949,
            CustomerID: "BOTTM",
            EmployeeID: 2,
            OrderDate: new Date(889776e6),
            RequiredDate: new Date(8921916e5),
            ShippedDate: new Date(8901216e5),
            ShipVia: 3,
            Freight: 74.44,
            ShipName: "Bottom-Dollar Markets",
            ShipAddress: "23 Tsawassen Blvd.",
            ShipCity: "Tsawassen",
            ShipRegion: "BC",
            ShipPostalCode: "T2F 8M4",
            ShipCountry: "Canada",
            CompanyName: "Bottom-Dollar Markets",
            Address: "23 Tsawassen Blvd.",
            City: "Tsawassen",
            Region: "BC",
            PostalCode: "T2F 8M4",
            Country: "Canada"
        }, {
            OrderID: 10982,
            CustomerID: "BOTTM",
            EmployeeID: 2,
            OrderDate: new Date(8909856e5),
            RequiredDate: new Date(8934012e5),
            ShippedDate: new Date(8920188e5),
            ShipVia: 1,
            Freight: 14.01,
            ShipName: "Bottom-Dollar Markets",
            ShipAddress: "23 Tsawassen Blvd.",
            ShipCity: "Tsawassen",
            ShipRegion: "BC",
            ShipPostalCode: "T2F 8M4",
            ShipCountry: "Canada",
            CompanyName: "Bottom-Dollar Markets",
            Address: "23 Tsawassen Blvd.",
            City: "Tsawassen",
            Region: "BC",
            PostalCode: "T2F 8M4",
            Country: "Canada"
        }, {
            OrderID: 10471,
            CustomerID: "BSBEV",
            EmployeeID: 2,
            OrderDate: new Date(8580672e5),
            RequiredDate: new Date(8604828e5),
            ShippedDate: new Date(858672e6),
            ShipVia: 3,
            Freight: 45.59,
            ShipName: "B's Beverages",
            ShipAddress: "Fauntleroy Circus",
            ShipCity: "London",
            ShipRegion: null,
            ShipPostalCode: "EC2 5NT",
            ShipCountry: "UK",
            CompanyName: "B's Beverages",
            Address: "Fauntleroy Circus",
            City: "London",
            Region: null,
            PostalCode: "EC2 5NT",
            Country: "UK"
        }, {
            OrderID: 10819,
            CustomerID: "CACTU",
            EmployeeID: 2,
            OrderDate: new Date(88416e7),
            RequiredDate: new Date(8865792e5),
            ShippedDate: new Date(8849376e5),
            ShipVia: 3,
            Freight: 19.76,
            ShipName: "Cactus Comidas para llevar",
            ShipAddress: "Cerrito 333",
            ShipCity: "Buenos Aires",
            ShipRegion: null,
            ShipPostalCode: "1010",
            ShipCountry: "Argentina",
            CompanyName: "Cactus Comidas para llevar",
            Address: "Cerrito 333",
            City: "Buenos Aires",
            Region: null,
            PostalCode: "1010",
            Country: "Argentina"
        }, {
            OrderID: 11042,
            CustomerID: "COMMI",
            EmployeeID: 2,
            OrderDate: new Date(8932284e5),
            RequiredDate: new Date(894438e6),
            ShippedDate: new Date(894006e6),
            ShipVia: 1,
            Freight: 29.99,
            ShipName: "Comércio Mineiro",
            ShipAddress: "Av. dos Lusíadas, 23",
            ShipCity: "Sao Paulo",
            ShipRegion: "SP",
            ShipPostalCode: "05432-043",
            ShipCountry: "Brazil",
            CompanyName: "Comércio Mineiro",
            Address: "Av. dos Lusíadas, 23",
            City: "Sao Paulo",
            Region: "SP",
            PostalCode: "05432-043",
            Country: "Brazil"
        }, {
            OrderID: 10462,
            CustomerID: "CONSH",
            EmployeeID: 2,
            OrderDate: new Date(857376e6),
            RequiredDate: new Date(8597952e5),
            ShippedDate: new Date(858672e6),
            ShipVia: 1,
            Freight: 6.17,
            ShipName: "Consolidated Holdings",
            ShipAddress: "Berkeley Gardens 12  Brewery",
            ShipCity: "London",
            ShipRegion: null,
            ShipPostalCode: "WX1 6LT",
            ShipCountry: "UK",
            CompanyName: "Consolidated Holdings",
            Address: "Berkeley Gardens 12  Brewery",
            City: "London",
            Region: null,
            PostalCode: "WX1 6LT",
            Country: "UK"
        }, {
            OrderID: 10683,
            CustomerID: "DUMON",
            EmployeeID: 2,
            OrderDate: new Date(8752572e5),
            RequiredDate: new Date(8776764e5),
            ShippedDate: new Date(8756892e5),
            ShipVia: 1,
            Freight: 4.4,
            ShipName: "Du monde entier",
            ShipAddress: "67, rue des Cinquante Otages",
            ShipCity: "Nantes",
            ShipRegion: null,
            ShipPostalCode: "44000",
            ShipCountry: "France",
            CompanyName: "Du monde entier",
            Address: "67, rue des Cinquante Otages",
            City: "Nantes",
            Region: null,
            PostalCode: "44000",
            Country: "France"
        }, {
            OrderID: 10595,
            CustomerID: "ERNSH",
            EmployeeID: 2,
            OrderDate: new Date(868518e6),
            RequiredDate: new Date(8709372e5),
            ShippedDate: new Date(8688636e5),
            ShipVia: 1,
            Freight: 96.78,
            ShipName: "Ernst Handel",
            ShipAddress: "Kirchgasse 6",
            ShipCity: "Graz",
            ShipRegion: null,
            ShipPostalCode: "8010",
            ShipCountry: "Austria",
            CompanyName: "Ernst Handel",
            Address: "Kirchgasse 6",
            City: "Graz",
            Region: null,
            PostalCode: "8010",
            Country: "Austria"
        }, {
            OrderID: 10368,
            CustomerID: "ERNSH",
            EmployeeID: 2,
            OrderDate: new Date(8492544e5),
            RequiredDate: new Date(8516736e5),
            ShippedDate: new Date(8495136e5),
            ShipVia: 2,
            Freight: 101.95,
            ShipName: "Ernst Handel",
            ShipAddress: "Kirchgasse 6",
            ShipCity: "Graz",
            ShipRegion: null,
            ShipPostalCode: "8010",
            ShipCountry: "Austria",
            CompanyName: "Ernst Handel",
            Address: "Kirchgasse 6",
            City: "Graz",
            Region: null,
            PostalCode: "8010",
            Country: "Austria"
        }, {
            OrderID: 10835,
            CustomerID: "ALFKI",
            EmployeeID: 1,
            OrderDate: new Date(8848512e5),
            RequiredDate: new Date(8872704e5),
            ShippedDate: new Date(8853696e5),
            ShipVia: 3,
            Freight: 69.53,
            ShipName: "Alfred's Futterkiste",
            ShipAddress: "Obere Str. 57",
            ShipCity: "Berlin",
            ShipRegion: null,
            ShipPostalCode: "12209",
            ShipCountry: "Germany",
            CompanyName: "Alfreds Futterkiste",
            Address: "Obere Str. 57",
            City: "Berlin",
            Region: null,
            PostalCode: "12209",
            Country: "Germany"
        }, {
            OrderID: 10952,
            CustomerID: "ALFKI",
            EmployeeID: 1,
            OrderDate: new Date(8900352e5),
            RequiredDate: new Date(8936604e5),
            ShippedDate: new Date(8907264e5),
            ShipVia: 1,
            Freight: 40.42,
            ShipName: "Alfred's Futterkiste",
            ShipAddress: "Obere Str. 57",
            ShipCity: "Berlin",
            ShipRegion: null,
            ShipPostalCode: "12209",
            ShipCountry: "Germany",
            CompanyName: "Alfreds Futterkiste",
            Address: "Obere Str. 57",
            City: "Berlin",
            Region: null,
            PostalCode: "12209",
            Country: "Germany"
        }, {
            OrderID: 10677,
            CustomerID: "ANTON",
            EmployeeID: 1,
            OrderDate: new Date(8749116e5),
            RequiredDate: new Date(8773308e5),
            ShippedDate: new Date(8752572e5),
            ShipVia: 3,
            Freight: 4.03,
            ShipName: "Antonio Moreno Taquería",
            ShipAddress: "Mataderos  2312",
            ShipCity: "México D.F.",
            ShipRegion: null,
            ShipPostalCode: "05023",
            ShipCountry: "Mexico",
            CompanyName: "Antonio Moreno Taquería",
            Address: "Mataderos  2312",
            City: "México D.F.",
            Region: null,
            PostalCode: "05023",
            Country: "Mexico"
        }, {
            OrderID: 10558,
            CustomerID: "AROUT",
            EmployeeID: 1,
            OrderDate: new Date(8654076e5),
            RequiredDate: new Date(8678268e5),
            ShippedDate: new Date(865926e6),
            ShipVia: 2,
            Freight: 72.97,
            ShipName: "Around the Horn",
            ShipAddress: "Brook Farm Stratford St. Mary",
            ShipCity: "Colchester",
            ShipRegion: "Essex",
            ShipPostalCode: "CO7 6JX",
            ShipCountry: "UK",
            CompanyName: "Around the Horn",
            Address: "120 Hanover Sq.",
            City: "London",
            Region: null,
            PostalCode: "WA1 1DP",
            Country: "UK"
        }, {
            OrderID: 10453,
            CustomerID: "AROUT",
            EmployeeID: 1,
            OrderDate: new Date(856512e6),
            RequiredDate: new Date(8589312e5),
            ShippedDate: new Date(856944e6),
            ShipVia: 2,
            Freight: 25.36,
            ShipName: "Around the Horn",
            ShipAddress: "Brook Farm Stratford St. Mary",
            ShipCity: "Colchester",
            ShipRegion: "Essex",
            ShipPostalCode: "CO7 6JX",
            ShipCountry: "UK",
            CompanyName: "Around the Horn",
            Address: "120 Hanover Sq.",
            City: "London",
            Region: null,
            PostalCode: "WA1 1DP",
            Country: "UK"
        }, {
            OrderID: 10743,
            CustomerID: "AROUT",
            EmployeeID: 1,
            OrderDate: new Date(8797536e5),
            RequiredDate: new Date(8821728e5),
            ShippedDate: new Date(8800992e5),
            ShipVia: 2,
            Freight: 23.72,
            ShipName: "Around the Horn",
            ShipAddress: "Brook Farm Stratford St. Mary",
            ShipCity: "Colchester",
            ShipRegion: "Essex",
            ShipPostalCode: "CO7 6JX",
            ShipCountry: "UK",
            CompanyName: "Around the Horn",
            Address: "120 Hanover Sq.",
            City: "London",
            Region: null,
            PostalCode: "WA1 1DP",
            Country: "UK"
        }, {
            OrderID: 10733,
            CustomerID: "BERGS",
            EmployeeID: 1,
            OrderDate: new Date(8788896e5),
            RequiredDate: new Date(8813088e5),
            ShippedDate: new Date(8791488e5),
            ShipVia: 3,
            Freight: 110.11,
            ShipName: "Berglunds snabbköp",
            ShipAddress: "Berguvsvägen  8",
            ShipCity: "Luleå",
            ShipRegion: null,
            ShipPostalCode: "S-958 22",
            ShipCountry: "Sweden",
            CompanyName: "Berglunds snabbköp",
            Address: "Berguvsvägen  8",
            City: "Luleå",
            Region: null,
            PostalCode: "S-958 22",
            Country: "Sweden"
        }, {
            OrderID: 10524,
            CustomerID: "BERGS",
            EmployeeID: 1,
            OrderDate: new Date(86247e7),
            RequiredDate: new Date(8648892e5),
            ShippedDate: new Date(8629884e5),
            ShipVia: 2,
            Freight: 244.79,
            ShipName: "Berglunds snabbköp",
            ShipAddress: "Berguvsvägen  8",
            ShipCity: "Luleå",
            ShipRegion: null,
            ShipPostalCode: "S-958 22",
            ShipCountry: "Sweden",
            CompanyName: "Berglunds snabbköp",
            Address: "Berguvsvägen  8",
            City: "Luleå",
            Region: null,
            PostalCode: "S-958 22",
            Country: "Sweden"
        }];
}